<?php

return <<<EOC
#
# This is autogenerated file, do not edit.
#

<IfModule mod_dav.c>

<IfModule mod_headers.c>
    Header add MS-Author-Via "DAV"
</IfModule>

DAVLockDB "/tmp/DavLock"

#
# General rules of urls mapping into filesystem.
# More specific mappings go first.
#

{$publicAliasesStr}
{$partnerAliasStr}
Alias "{$this->_prefix}/shared" "{$this->_root}/shared"
Alias "{$this->_prefix}/unlisted" "{$this->_root}/unlisted"

{$usersAliasesStr}

#
# WebDAV configuration per folder
#
<Location "{$this->_prefix}/{$this->_public}">
  Options +Indexes
  Dav On
  AuthType Digest
  AuthName "{$realmName}"
  AuthDigestProvider file
  AuthUserFile "{$this->_passwordsFile}"
  AuthDigestDomain "{$this->_prefix}"

  Require user {$privilegedUsersStr}
</Location>


<Location "{$this->_prefix}/{$this->_partner}">
  Options +Indexes
  Dav On
  AuthType Digest
  AuthName "{$realmName}"
  AuthDigestProvider file
  AuthUserFile "{$this->_passwordsFile}"
  AuthDigestDomain "{$this->_prefix}"

  <Limit GET>
    Require user {$partnerUserStr}
  </Limit>

  Require user {$privilegedUsersStr}
</Location>


<Directory "{$this->_root}/private">
  Options +Indexes
  Dav On
  AuthType Digest
  AuthName "{$realmName}"
  AuthDigestProvider file
  AuthUserFile "{$this->_passwordsFile}"
  AuthDigestDomain "{$this->_prefix}"

{$usersSharedStr}
  AllowOverride None
</Directory>


<Location "{$this->_prefix}/shared">
  Options +Indexes
  Dav On
  AuthType Digest
  AuthName "{$realmName}"
  AuthDigestProvider file
  AuthUserFile "{$this->_passwordsFile}"
  AuthDigestDomain "{$this->_prefix}"

{$usersSharedStr}
</Location>


<Location "{$this->_prefix}/unlisted">
  Options -All
</Location>


<Directory "{$this->_root}/unlisted">
  Options  +FollowSymLinks
  AllowOverride None
</Directory>


#
# Personal users folders
#

{$usersLocationsStr}

#
# HTTP access to public folder
#
<Location "{$this->_prefix}/{$this->_publicUrl}">
  Options +Indexes
</Location>

</IfModule>

EOC;
